Rated 5 out of 5 stars

Thank you so much for the FF 3.5-update of your theme. :-)

Finding the new (beta-)version:
Scroll down until "older Versions" -click- and you will see the new beta-release of the theme, that works with FF 3.5.